This API is a request to execute a single or multiple transactions from a v2 withdrawal wallet to the specified destination address(es).
EVM chains support transfers to a single address, while UTXO chains support transfers to one or more addresses. You can transfer funds in either native coin or token in a single request.
Transactions from v2 wallets are screened by Liminal Firewall (if enabled). It performs compliance checks and provides outcomes before broadcasting to the blockchain. If your organisation has a Travel Rule policy enabled in Firewall, include the travelRule object in the request body to avoid transaction failure. If the policy is disabled, you can skip this object. Use the Verify Addresses API to validate the destination addresses before using the API. Refer to wallet versions: v1 & v2 to learn more about the types of wallet versions and their respective supported chains.
Accepted parameter values:
- The
transactions.recipients.address[]parameter must have a valid address length ( > 0). It will not accept any null value or empty String value. - The data type of
transactions.recipients.amount[]is updated to String and must be a positive decimal string. It will not accept empty string, null, or number value.
Optional Parameters
- Using
feeLevelandevmCustomfee:- The
feeLevelparameter is applicable for EVM chains. Use onlymaxFeePerGas(Wei) if thecoinvalue isBNB. Use both parameters for EIP 1599 chains. - The
maxPriorityFeePerGas(Wei) cannot be greater thanmaxFeePerGas(Wei).
- The
- Use
evmCustomfeeobject only when thefeeLevelparameter iscustom.
Refer to the Retrieve estimated gas fees and rates API reference to get the required fee estimation rates.
Refer to the Create transaction requests API instead if you are using the v1 wallet. While all liminal supported chains support firewall for Mobile MPC Wallets, please refer to the latest supported chains for hot V2 wallets supporting firewall.
Note
- For transactions to be fully signed and broadcast, ensure that the transaction execution job is running on your Liminal Express server.
- This API is responsible only for the transactions originating from the v2 hot wallets. Refer to this guide to learn how to set up a v2 hot wallet using Liminal firewall.
Ensure to enter the
transactions.recipients.address[]andtransactions.recipients.amount[]values accurately. There may be a breaking change in the API request if you are using number value. Ensure you are using Liminal Express SDKv1.3.10.
